Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xml.serialize
Class XMLSerializer

    java.lang.Object
      |
      +--weblogic.apache.xml.serialize.BaseMarkupSerializer
            |
            +--weblogic.apache.xml.serialize.XMLSerializer

public final class XMLSerializer
extends BaseMarkupSerializer

Implements an XML serializer supporting both DOM and SAX pretty serializing. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `BaseMarkupSerializer.serialize(org.w3c.dom.Element)` and SAX serializing is done by firing SAX events and using the serializer as a document handler.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

For elements that are not specified as whitespace preserving, the serializer will potentially break long text lines at space boundaries, indent lines, and serialize elements on separate lines. Line terminators will be regarded as spaces, and spaces at beginning of line will be stripped.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.16 $ $Date: 2000/08/30 18:59:22 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Serializer`

Fields inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`_docTypePublicId, _docTypeSystemId, _format, _indenting, _prefixes, _printer, _started`

Constructor Summary
`XMLSerializer()` Constructs a new serializer.
`XMLSerializer(OutputFormat format)` Constructs a new serializer.
`XMLSerializer(java.io.OutputStream output, OutputFormat format)` Constructs a new serializer that writes to the specified output stream using the specified output format.
`XMLSerializer(java.io.Writer writer, OutputFormat format)` Constructs a new serializer that writes to the specified writer using the specified output format.

Method Summary
`void` | `endElement(java.lang.String tagName)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)`
`protected java.lang.String` | `getEntityRef(char ch)`
`protected void` | `serializeElement(org.w3c.dom.Element elem)` Called to serialize a DOM element.
`void` | `setOutputFormat(OutputFormat format)`
`protected void` | `startDocument(java.lang.String rootTagName)` Called to serialize the document's DOCTYPE by the root element.
`void` | `startElement(java.lang.String tagName, org.xml.sax.AttributeList attrs)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, org.xml.sax.Attributes attrs)`

Methods inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, characters, characters, comment, comment, content, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, notationDecl, prepare, printDoctypeURL, printEscaped, printEscaped, printText, printText, processingInstruction, reset, serialize, serialize, serialize, serializeNode, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSerializer

    public XMLSerializer()

  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### XMLSerializer

    public XMLSerializer(OutputFormat format)

  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

### XMLSerializer

    public XMLSerializer(java.io.Writer writer,
                         OutputFormat format)

  Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `writer` - The writer to use
    `format` - The output format to use, null for the default

### XMLSerializer

    public XMLSerializer(java.io.OutputStream output,
                         OutputFormat format)

  Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.

  Parameters:
    `output` - The output stream to use
    `format` - The output format to use, null for the default

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Overrides:
    setOutputFormat in class BaseMarkupSerializer

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName,
                             org.xml.sax.Attributes attrs)

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)

### startElement

    public void startElement(java.lang.String tagName,
                             org.xml.sax.AttributeList attrs)

### endElement

    public void endElement(java.lang.String tagName)

### startDocument

    protected void startDocument(java.lang.String rootTagName)

  Called to serialize the document's DOCTYPE by the root element. The document type declaration must name the root element, but the root element is only known when that element is serialized, and not at the start of the document.

  This method will check if it has not been called before (`BaseMarkupSerializer._started`), will serialize the document type declaration, and will serialize all pre-root comments and PIs that were accumulated in the document (see `BaseMarkupSerializer.serializePreRoot()`). Pre-root will be serialized even if this is not the first root element of the document.

### serializeElement

    protected void serializeElement(org.w3c.dom.Element elem)

  Called to serialize a DOM element. Equivalent to calling `startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `endElement(java.lang.String, java.lang.String, java.lang.String)` and serializing everything inbetween, but better optimized.

  Overrides:
    serializeElement in class BaseMarkupSerializer

### getEntityRef

    protected java.lang.String getEntityRef(char ch)

  Overrides:
    getEntityRef in class BaseMarkupSerializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD